> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update SCIM User

> Update a SCIM User by ID



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml put /v1/directory-integration/scim/v2/Users/{id}
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/directory-integration/scim/v2/Users/{id}:
    put:
      tags:
        - Directory Integration
      summary: Update SCIM User
      description: Update a SCIM User by ID
      operationId: updateUser
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScimUser'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScimUser'
          description: User updated successfully
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Invalid request
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unauthorized
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: User not found
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unexpected error occurred
components:
  schemas:
    ScimUser:
      type: object
      properties:
        active:
          type: boolean
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/Address'
        displayName:
          type: string
        emails:
          type: array
          items:
            $ref: '#/components/schemas/Email'
        entitlements:
          type: array
          items:
            $ref: '#/components/schemas/Entitlement'
        externalId:
          type: string
        groups:
          type: array
          items:
            $ref: '#/components/schemas/UserGroup'
        id:
          type: string
          maxLength: 2147483647
          minLength: 1
        ims:
          type: array
          items:
            $ref: '#/components/schemas/Im'
        locale:
          type: string
        meta:
          $ref: '#/components/schemas/Meta'
        name:
          $ref: '#/components/schemas/Name'
        nickName:
          type: string
        password:
          type: string
        phoneNumbers:
          type: array
          items:
            $ref: '#/components/schemas/PhoneNumber'
        photos:
          type: array
          items:
            $ref: '#/components/schemas/Photo'
        preferredLanguage:
          type: string
        profileUrl:
          type: string
        roles:
          type: array
          items:
            $ref: '#/components/schemas/Role'
        schemas:
          type: array
          items:
            type: string
            xml:
              name: schemas
          maxItems: 2147483647
          minItems: 1
          uniqueItems: true
        timezone:
          type: string
        title:
          type: string
        userName:
          type: string
        userType:
          type: string
        x509Certificates:
          type: array
          items:
            $ref: '#/components/schemas/X509Certificate'
      required:
        - meta
      xml:
        name: User
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
    Address:
      type: object
      properties:
        country:
          type: string
        display:
          type: string
        formatted:
          type: string
        locality:
          type: string
        postalCode:
          type: string
        primary:
          type: boolean
        region:
          type: string
        streetAddress:
          type: string
        type:
          type: string
    Email:
      type: object
      properties:
        display:
          type: string
        primary:
          type: boolean
        type:
          type: string
        value:
          type: string
    Entitlement:
      type: object
      properties:
        display:
          type: string
        primary:
          type: boolean
        type:
          type: string
        value:
          type: string
    UserGroup:
      type: object
      properties:
        display:
          type: string
        ref:
          type: string
          xml:
            name: $ref
        type:
          type: string
          enum:
            - DIRECT
            - INDIRECT
        value:
          type: string
    Im:
      type: object
      properties:
        display:
          type: string
        primary:
          type: boolean
        type:
          type: string
        value:
          type: string
    Meta:
      type: object
      properties:
        created:
          type: string
          format: date-time
        lastModified:
          type: string
          format: date-time
        location:
          type: string
        resourceType:
          type: string
          maxLength: 2147483647
          minLength: 1
        version:
          type: string
    Name:
      type: object
      properties:
        familyName:
          type: string
        formatted:
          type: string
        givenName:
          type: string
        honorificPrefix:
          type: string
        honorificSuffix:
          type: string
        middleName:
          type: string
    PhoneNumber:
      type: object
      properties:
        display:
          type: string
        primary:
          type: boolean
        type:
          type: string
        value:
          type: string
    Photo:
      type: object
      properties:
        display:
          type: string
        primary:
          type: boolean
        type:
          type: string
        value:
          type: string
    Role:
      type: object
      properties:
        display:
          type: string
        primary:
          type: boolean
        type:
          type: string
        value:
          type: string
    X509Certificate:
      type: object
      properties:
        display:
          type: string
        primary:
          type: boolean
        type:
          type: string
        value:
          type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````